INTERFACE
SUBROUTINE LAITRE_GFL(&
 & KASLB1,KPROMA,KSTART,KPROF,KFLEV,KFLDN,KFLDX,KHVI,&
 & CDINT,&
 & KL0,PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,PVINTW,PVINTWSLD,PVINTWS,&
 & PVDERW,PHVW,&
 & PXSL,PXSPSL,&
 & POUT) 
USE PARKIND1 , ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KHVI
CHARACTER(LEN=12) ,INTENT(IN) :: CDINT
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KPROMA,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(KPROMA,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(KPROMA,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(KPROMA,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWS(KPROMA,KFLEV,1:4)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDERW(KPROMA,KFLEV,2*KHVI,2*KHVI)
REAL(KIND=JPRB) ,INTENT(IN) :: PHVW(KPROMA,KFLEV,4*KHVI)
REAL(KIND=JPRB) ,INTENT(IN) :: PXSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PXSPSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(OUT) :: POUT(KPROMA,KFLEV)
END SUBROUTINE LAITRE_GFL
END INTERFACE
